/**
 * dice command
 * 
 * @author		Daniel (Keito) Lang
 * @copyright	2014-2019 da-lang.net
 * @package		net.dalang.chat.command.dice
 */

define(['Bastelstu.be/Chat/Command', 'Bastelstu.be/Chat/Parser'], function (Command, Parser) {
	"use strict";
	
	class Dice extends Command {
		getParameterParser() {
			return Parser.N.digits.then(Parser.C.char(' ').drop()).then(Parser.N.digits).map(([dice, value]) => ({ dice, value }))
		}
	}
	
	return Dice
});